/* Variables globales, idioma principal castellano */
var language = "es";
var listaidiomas = ["es","en","va"]
var listaidiomastexto = ["español","English","català"]

var market_android = "https://play.google.com/store/apps/details?id=es.doblew.srcayetano";
var market_ios = "itms-apps://itunes.apple.com/es/app/sr-cayetano/id842646659?mt=8&uo=4";

//UrlActual = document.URL;
/*if (UrlActual.lastIndexOf("http://192.168.1.103/", 0) === 0){
	var url_datos = "http://192.168.1.103/srcayetano.com/data/";
}
else{*/
	var url_datos = "http://data.srcayetano.com/";
//}
//console.log(url_datos);
var version_aplicacion = 3;


var AppSlider;
var polyglot; 

/* desde aqui llamaremos a el router principal */
define([
  'fastclick',
  'router',
  'vars',
  'appview',
  'moment'
], function(fastclick, Router, vars, appView,moment){
  var initialize = function(){
	 /* Cargamos librerias esenciales*/
	 /* Cargamos libreria fasttouch */
	 fastclick.attach(document.body);
    // Creamos deslizador paginas
	AppSlider = new PageSlider($('#container'));
 
  	//Inicializamos idiomas
	polyglot = new Polyglot();
	polyglot.locale(language)
	// Creamos la función clear en polyglot que nos limpiara las frases cargadas
	Polyglot.prototype.clear = function() {
		this.phrases = {};
	};
  
  
  	moment.lang(language);
  
	document.addEventListener("backbutton", function(e){
		if (window.location.hash == "" || window.location.hash == "#"){
			/*if(navigator.app){
				navigator.app.exitApp();
			}else if(navigator.device){
				navigator.device.exitApp();
			}*/
		}
		else{
			vars.goback();
		}

		e.preventDefault();
	}, false); 
  
  
	document.addEventListener('deviceready', function() {
		//StatusBar.overlaysWebView(false);
		// write log to console
		ImgCache.options.debug = true;
		
		// increase allocated space on Chrome to 50MB, default was 10MB
		ImgCache.options.chromeQuota = 50*1024*1024;
		
		ImgCache.init(function(){

		}, function(){
			//console.log("Error creando cache de imágenes");
		});		
		
		if (vars.iphone == -1 > 0 ){
			window.plugins.webviewcolor.change('#FFFFFF');
		}


		$.ajax({
			type: "POST",
			url: url_datos + "actualizacion",
			data: {
				version: version_aplicacion
			},
			success:function(result){
				var obj = JSON.parse(result);
				
				if (typeof(obj.actualizacion) !== "undefined"){
					if (obj.actualizacion == true){
						url_market = "";
						
						if (vars.iphone == -1){
							url_market = market_android;
						}
						else{
							url_market = market_ios;
						}
	
						navigator.notification.alert(
							"Nueva versión de la aplicación!",  // message
							function(e){window.open(encodeURI(url_market),'_system','location=yes');return false;},  			  // callback
							'Sr. Cayetano',            // title
							'Descargar'                // buttonName
						);

						$(document).on("touchstart click mousemove",function(e){
							e.preventDefault();
							e.stopPropagation();



							navigator.notification.alert(
								"Nueva versión de la aplicación!",  // message
								function(e){window.open(encodeURI(url_market),'_system','location=yes');return false;},  			  // callback
								'Sr. Cayetano',            // title
								'Descargar'                // buttonName
							);
						});




					}
				}
				//console.log("Registrado en el servidor el id de push !");
			},
			error: function(e){
				console.log(e);
			}
		});


		
		
		
		
		
        var options = { maximumAge: 0, timeout:10000/*, enableHighAccuracy : true*/ };
		navigator.geolocation.getCurrentPosition(vars.getCurrentPositionSuccess, vars.getCurrentPositionError, options);
		var watchID = null;
        watchID = navigator.geolocation.watchPosition(vars.getCurrentPositionSuccess, vars.getCurrentPositionError, options);
		
		
		
		
		
		document.addEventListener("online", function(){vars.setOnline();location.reload();}, false);
		document.addEventListener("offline", function(){vars.setOffline();}, false);
		
		if((navigator.network.connection.type).toUpperCase() != "NONE" &&
			(navigator.network.connection.type).toUpperCase() != "UNKNOWN") {
			vars.setOnline();
		}
		else{
			vars.setOffline();
		}
		
		
		if (localStorage.getItem("primeravez") !== null){
			setTimeout(function() {
				navigator.splashscreen.hide();
			}, 2000);
			
			localStorage.setItem("primeravez",true);
		}
		else{
			setTimeout(function() {
				navigator.splashscreen.hide();
			}, 500);
		}
		
		
		// Comprobamos si tiene guardado un enlace, si no, obtenemos el del dispositivo y lo guardamos como default
		if (localStorage.getItem("language") == null){
			navigator.globalization.getPreferredLanguage(
				function (languagereceive) {
					if (vars.in_array(languagereceive.value,listaidiomastexto)){
						language = languagereceive.value.substring(0,2).toLowerCase();
						
						if (language == "ca"){
							language = "va";
						}
						
						
						localStorage.setItem("language",language);
					}
				},
				function () {
					language = "en";
				}
			);
		}
		else{
			language = localStorage.getItem("language");
		}
		
		window.plugins.OneSignal.init("30b106c4-b2e2-11e4-8ac8-f3007e000fa0",
           {googleProjectNumber: "774623113200"},
           function(jsonData){


				if (typeof(jsonData.additionalData.enlace) != "undefined" && jsonData.additionalData.enlace != ""){
					botones = "Más info,Cancelar";
				}
				else
				{
					botones = "Aceptar";	
				}


				navigator.notification.confirm(
					jsonData.message,  // message
					function(boton){
						if(boton == 1){
							  if (typeof(jsonData.additionalData.enlace) != "undefined" && jsonData.additionalData.enlace != ""){
								  window.location.hash = jsonData.additionalData.enlace;
								  vars.putSeccion("Notificacion");
							  }
						}
					},              // callback to invoke with index of button pressed
					'Sr Cayetano',            // title
					botones       // buttonLabels
				);
           		

			  //alert("Notification received:\n" + JSON.stringify(jsonData));
			  /*console.log('didReceiveRemoteNotificationCallBack: ' + JSON.stringify(jsonData));*/
			});


			window.plugins.OneSignal.getIds(function(ids) {
				/*alert(ids.playerId);
				alert(ids.pushToken);*/

					$.ajax({
						type: "POST",
						url: url_datos + "pushnotifications?h="+localStorage.getItem("hash"),
						data: {
							gamethrive_regid: ids.pushToken,
							ida_ciudad: localStorage.getItem("ciudad")
						},
						success:function(result){
								console.log(result);

							//console.log("Registrado en el servidor el id de push !");
						},
						error: function(e){
							//console.log(e);
						}
					});
					window.localStorage.setItem("gamethrive_regid", ids.pushToken);
					window.plugins.OneSignal.sendTag("ciudad", localStorage.getItem("ciudad"));

			});
	

		/*var pushNotification = window.plugins.pushNotification;
		
        if (device.platform == 'android' || device.platform == 'Android') {
			pushNotification.register(successHandler, errorHandler,{"senderID":"774623113200","ecb":"onNotificationGCM"});
        }
        else {
			pushNotification.register(tokenHandler, errorHandler,{"badge":"true","sound":"true","alert":"true","ecb":"onNotificationAPN"});
        }		*/



		// LLamamos a router.
		Router.initialize();
	},false);
    //document.addEventListener("menubutton", function(){alert("Botón menú");}, false);
	
	
	//if (vars.iphone == -1 && vars.android == -1 ){
		// NECESARIO PARA QUE FUNCIONE EN LOCAL
		/*language = "es";
		Router.initialize();
	//}*/

	if (typeof(cordova)== "undefined"){
		language = "es";
		Router.initialize();
		vars.setOnline();

		vars.posicion.latitud = 38.555160;
		vars.posicion.longitud = -0.131076;

		vars.errorLocalizacion = false;
	}
	
  }

  return {
	  	/* devolvemos la funcion para que sea accesible desde otros modulos */
		initialize: initialize
  };
});





	// 	NOTIFICACIONES
	successHandler = function(result){
		console.log('Callback success NOTIFICATIONS '+result);
	}
		
	errorHandler = function(error){
		console.log(error);
	}
		
	onNotificationGCM = function(e) {
		switch( e.event )
		{
			case 'registered':
				if ( e.regid.length > 0 )
				{
					//console.log("Regid " + e.regid);	
					//alert(url_datos + "pushnotifications?h="+localStorage.getItem("hash"));				
					$.ajax({
						type: "POST",
						url: url_datos + "pushnotifications?h="+localStorage.getItem("hash"),
						data: {
							gcm_regid: e.regid,
							ida_ciudad: localStorage.getItem("ciudad")
						},
						success:function(result){
								console.log(result);

							//console.log("Registrado en el servidor el id de push !");
						},
						error: function(e){
							//console.log(e);
						}
					});
					window.localStorage.setItem("gcmregid", e.regid);
				}
			break;
 
			case 'message':

				if (typeof(e.payload.enlace) != "undefined" && e.payload.enlace != ""){
					botones = "Más info,Cancelar";
				}
				else
				{
					botones = "Aceptar";	
				}


				navigator.notification.confirm(
					e.message,  // message
					function(boton){
						if(boton == 1){
							  if (typeof(e.payload.enlace) != "undefined" && e.payload.enlace != ""){
								  window.location.hash = e.payload.enlace;
								  vars.putSeccion("Notificacion");
							  }
						}
						
					},              // callback to invoke with index of button pressed
					'Sr Cayetano',            // title
					botones       // buttonLabels
				);

			
			
			
			  //this is the actual push notification. its format depends on the data model from the push server
			  //alert('message = '+e.message+' link = '+e.payload.enlace);
			  //console.log(e);
			  
			  
			break;
 
			case 'error':
			  //console.log('GCM error = '+e.msg);
			break;
 
			default:
				//console.log('An unknown GCM event has occurred');
			  break;
		}
	}
		
		
		
	onNotificationAPN = function(event) {
		var pushNotification = window.plugins.pushNotification;
		//alert("Running in JS - onNotificationAPN - Received a notification! " + event.alert);
		
		if (event.alert) {
			//navigator.notification.alert(event.alert);
			  
				if (typeof(event.enlace) != "undefined" && event.enlace != ""){
					botones = "Más info,Cancelar";
				}
				else
				{
					botones = "Aceptar";	
				}


				navigator.notification.confirm(
					event.alert,  // message
					function(boton){
						if(boton == 1){
							  if (typeof(event.enlace) != "undefined" && event.enlace != ""){
								  window.location.hash = event.enlace;
								  vars.putSeccion("Notificacion");
							  }
						}
						
					},              // callback to invoke with index of button pressed
					'Sr Cayetano',            // title
					botones       // buttonLabels
				);		  

		}
		if (event.badge) {
			pushNotification.setApplicationIconBadgeNumber(vars.successHandler, vars.errorHandler, event.badge);
		}
		if (event.sound) {
			var snd = new Media(event.sound);
			snd.play();
		}
	}

      tokenHandler = function(result) {
		  
					$.ajax({
						type: "POST",
						url: url_datos + "pushnotifications?h="+localStorage.getItem("hash"),
						data: {
							apn_regid: result,
							ida_ciudad: localStorage.getItem("ciudad")
						},
						success:function(result){
								console.log(result);

							//console.log("Registrado en el servidor el id de push !");
							
						},
						error: function(e){
							//console.log(e);
						}
					});
					window.localStorage.setItem("apnregid", result);


            }