define(['jquery'],function($){
	
			var ua = navigator.userAgent;
			var isAndroid = /android/i.test(ua);
			var androidversion = 0;
			if(isAndroid)
			{
			  androidversion = parseFloat(ua.slice(ua.indexOf("Android")+8)); 
			  
			}


			function isTouchDevice(){
				if((navigator.userAgent.match(/android 3/i)) ||
					(navigator.userAgent.match(/honeycomb/i)))
					return false;
				try{
					return true;
				}catch(e){
					return false;
				}
			}

			function reload(){
				id = "scrollhere";
				if(isAndroid && androidversion < 2.4){ 
					var el=document.getElementById(id);
					var scrollStartPosY=0;
					var scrollStartPosX=0;

					document.getElementById(id).addEventListener("touchstart", function(event) {
						scrollStartPosY=this.scrollTop+event.touches[0].pageY;
						scrollStartPosX=this.scrollLeft+event.touches[0].pageX;
						event.preventDefault(); // Keep this remarked so you can click on buttons and links in the div
					},false);

					document.getElementById(id).addEventListener("touchmove", function(event) {
						if ((this.scrollTop < this.scrollHeight-this.offsetHeight &&
							this.scrollTop+event.touches[0].pageY < scrollStartPosY-5) ||
							(this.scrollTop != 0 && this.scrollTop+event.touches[0].pageY > scrollStartPosY+5))
								event.preventDefault();	
						if ((this.scrollLeft < this.scrollWidth-this.offsetWidth &&
							this.scrollLeft+event.touches[0].pageX < scrollStartPosX-5) ||
							(this.scrollLeft != 0 && this.scrollLeft+event.touches[0].pageX > scrollStartPosX+5))
								event.preventDefault();	
						this.scrollTop=scrollStartPosY-event.touches[0].pageY;
						this.scrollLeft=scrollStartPosX-event.touches[0].pageX;
					},false);
				}
			}
			return {reload:reload}
	   
	   });


