define(["jquery","vars","appview"], function($,vars,appview) {


	function show(html, nominheight){

		nominheight = nominheight || false;

		pageslider_mostrandomodal = true;
		$("div.oscurecer").show();
		$("#modal").addClass("abrir");
		
		
		$("#modal div.modal-contenido").html(html);
		if (!nominheight){
			$("#modal").css("min-height",$(window).height()-36 + "px");

			$("#modal").css("-moz-transform","translate3d(0,0%,0)");
			$("#modal").css("-webkit-transform","translate3d(0,0%,0)");
			$("#modal").css("transform","translate3d(0,0%,0)");
		}
		else{
			$("#modal").css("min-height","0px");
			$("#modal").css("-moz-transform","translate3d(0,"+(($(window).height()/2) - ($("#modal").height()/2))+"px,0)");
			$("#modal").css("-webkit-transform","translate3d(0,"+(($(window).height()/2) - ($("#modal").height()/2))+"px,0)");
			$("#modal").css("transform","translate3d(0,"+(($(window).height()/2) - ($("#modal").height()/2))+"px,0)");
		}
		$("body").addClass("sinscroll");
		
	}
	function hide(){
		$("#container").show();
		$("div.oscurecer").hide();
		$("#modal").removeClass("abrir");
		$("body").removeClass("sinscroll");
		
		$("#modal div.modal-contenido > *").unbind();
		$("#modal div.modal-contenido > *").remove();


	}
	function initialize(){

		$("#modal").on("focus","input",function(){
			$("#modal").css("margin-bottom","200px");
		});
		$("#modal").on("focusout","input",function(){
			$("#modal").css("margin-bottom","0");
		});


		$("#modal a.cerrar").on("click",function(e){
			location.replace(appview.getLinkSeccion()); 
			
			$("div.oscurecer").hide();
			$("#modal").removeClass("abrir");
			$("body").removeClass("sinscroll");

			e.preventDefault();
		});
		$("div.oscurecer").on("click",function(e){
			location.replace(appview.getLinkSeccion()); 
			
			$("div.oscurecer").hide();
			$("#modal").removeClass("abrir");
			$("body").removeClass("sinscroll");

			e.preventDefault();
		});
		
	}


    return {
		initialize : initialize,
		hide : hide,
		show : show
	}
});