define(["jquery",'moment','twix','appview', 'facegap'], function($,moment,twix,appview,facegap) {
    var vars = {};

	vars.tituloClick = "";
	vars.tituloClickAnterior = "";
	vars.posicion = Array();
	vars.posicion.latitud = 0;
	vars.posicion.longitud = 0;
	vars.posicion.timestamp = 0;
	vars.login = Array();
	vars.login["logueado"] = false;
	vars.login["email"] = "";
	vars.cacheActivo = true;
	vars.noticiasCache = Array();
	vars.online = false;
	vars.ciudad = null;
	vars.errorLocalizacion = true;
	vars.mediaObject = null;
	
	vars.gcmregid = "";
	vars.apnregid = "";
	vars.gamethrive_regid = "";

	vars.filtroEvento = "";

	
	

	vars.flagfacebook = false; // Indica si ha cargado ya facebook o no

	vars.getCurrentPositionSuccess = function (position){
		vars.posicion.latitud = position.coords.latitude;
		vars.posicion.longitud = position.coords.longitude;
		vars.posicion.timestamp = position.timestamp;
		//console.log(vars.posicion.latitud + "," + vars.posicion.longitud);
		vars.errorLocalizacion = false;
	}
	
	vars.getCurrentPositionError = function (error){
		vars.errorLocalizacion = true;
	}

	vars.setOnline = function (error){
		vars.online = true;
		$("#noconnection").hide();
	}

	vars.setOffline = function (error){
		vars.online = false;
		$("#noconnection").show();
		
	}

	vars.Distancia = function (lat2, lon2)
	{


		if (vars.posicion.latitud != 0 && vars.posicion.longitud != 0){
			lat2 = lat2.replace(",",".");
			lon2 = lon2.replace(",",".");
			
			rad = function(x) {return x*Math.PI/180;}
			
			var R     = 6378.137;                          //Radio de la tierra en km
			var dLat  = rad( lat2 - vars.posicion.latitud );
			var dLong = rad( lon2 - vars.posicion.longitud );
			
			var a = Math.sin(dLat/2) * Math.sin(dLat/2) + Math.cos(rad(vars.posicion.latitud)) * Math.cos(rad(lat2)) * Math.sin(dLong/2) * Math.sin(dLong/2);
			var c = 2 * Math.atan2(Math.sqrt(a), Math.sqrt(1-a));
			var d = R * c;
			
			
			salida = d.toFixed(2).toString().replace(".", ",");

			return salida; 
		}
		return undefined;
	}
	
	

	vars.putSeccion = function (titulo)
	{
		
		appview.putseccion(titulo);

	}
	vars.goback = function (sinappslider)
	{
		
		
		appview.goback(sinappslider);
				
		 
		
		if (vars.mediaObject != null){
			vars.mediaObject.stop();
			vars.mediaObject.release();
			vars.mediaObject = null;
		}
		/*vars.seccion.pop();
		vars.tituloClick = vars.seccion[vars.seccion.length-1];
		
		if (typeof(sinappslider) == "undefined"){
			AppSlider.back();
		}
		if (vars.mediaObject != null){
			vars.mediaObject.stop();
			vars.mediaObject.release();
			vars.mediaObject = null;
		}*/
	}
	
	vars.getTituloActual = function ()
	{
		//return vars.seccion[vars.seccion.length-1];
		
		
		return appview.getTituloSeccion();
	}
	



	vars.parse_date = function(string) {  
		var date = new Date();  
		var parts = String(string).split(/[- :]/);  
		  
		date.setFullYear(parts[0]);  
		date.setMonth(parts[1]);  
		date.setDate(parts[2]);  
		date.setHours(parts[3]);  
		date.setMinutes(parts[4]);  
		date.setSeconds(parts[5]);  
		date.setMilliseconds(0);  
		  
		return date;  
	}  
	
	
	vars.initLogin = function(){
		if (vars.login["logueado"] == true){
			$("footer a:eq(0)").show();
			$("footer a:eq(1)").show().find("span.titulo").html("Mi cuenta");
		}
		else{
			$("footer a:eq(0)").show();
			$("footer a:eq(1)").show().find("span.titulo").html("Identifícate");
			
			vars.loguearseConLocalStorage();
			
		}
		
		if (localStorage.getItem("ciudad") !== null && (window.location.hash == ""  ||  window.location.hash == "#")){
			window.location.hash = "#ciudad/"+localStorage.getItem("ciudad");
			vars.putSeccion(localStorage.getItem("ciudadnombre"));
		}

	}
	
	vars.loguearseConLocalStorage = function(){
		if (localStorage.getItem("hash") !== null)
			
			$.ajax({
				type: "POST",
				url: url_datos + "loginhash",
				data: {
					hash: localStorage.getItem("hash"),
					ida_ciudad: localStorage.getItem("ciudad")
				},
				success:function(result){
					//console.log(result);
					var obj = JSON.parse(result);

					if (typeof(obj.hash) !== "undefined"){
						vars.login["logueado"] = true;
						vars.login["email"] = self.$("form input.email").val();
						vars.login["hash"] = localStorage.getItem("hash");
						vars.initLogin();

					}
				}
			});		
	}
	
	
	vars.linkanterior = "#";
	vars.linkactual = "#";

	$(window).bind( 'hashchange', function(e) {
		if (!pageslider_mostrandomodal){
			vars.linkanterior = vars.linkactual;
			vars.linkactual = window.location.hash;
			/*console.log(vars.linkactual);
			console.log(vars.linkanterior);*/
		}
	});






	vars.DateDiff = {
		inDays: function(d1, d2) {
			var t2 = d2.getTime();
			var t1 = d1.getTime();
	 
			return parseInt((t2-t1)/(24*3600*1000));
		},
	 
		inWeeks: function(d1, d2) {
			var t2 = d2.getTime();
			var t1 = d1.getTime();
	 
			return parseInt((t2-t1)/(24*3600*1000*7));
		},
	 
		inMonths: function(d1, d2) {
			var d1Y = d1.getFullYear();
			var d2Y = d2.getFullYear();
			var d1M = d1.getMonth();
			var d2M = d2.getMonth();
	 
			return (d2M+12*d2Y)-(d1M+12*d1Y);
		},
	 
		inYears: function(d1, d2) {
			return d2.getFullYear()-d1.getFullYear();
		}
	}


	vars.validateEmail = function(email) { 
		var str=email;
		var filter=/^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i
		if (filter.test(str))
		testresults=true
		else{
		testresults=false
		}
		return (testresults)
	} 

	vars.salirCuenta = function() { 
		aux = localStorage.getItem("ciudad");

		appview.putseccion(localStorage.getItem("ciudadnombre"));

		localStorage.removeItem("email");
		localStorage.removeItem("ciudad");
		localStorage.removeItem("hash");

		//vars.login = null;
		vars.login["logueado"] = false;
		vars.initLogin();

		$(document).FaceGap('logout');
		
		window.location.hash = "#ciudad/" + aux;
		
		//location.reload();
	} 
	
	

	vars.formatoFechas = function(fecha_ini, fecha_fin) { 
		salida = "";
		moment.lang("es");
		
		if (typeof(fecha_fin) == "undefined"){
			var aux = new Date(fecha_ini);
			salida = moment(aux).format("LLL");

		}
		else{
			salida = moment(fecha_ini).twix(fecha_fin).format()
			
		}
		if (salida == "Invalid date"){
			salida = "";
		}

		return salida;
	} 
	
	
	
	
	vars.ua = navigator.userAgent;
	vars.android = -1;
	if( vars.ua.indexOf("Android") >= 0 )
	{
	  vars.android = parseFloat(vars.ua.slice(vars.ua.indexOf("Android")+8)); 
	  if (vars.android < 3)
	  {
		  //alert("VERSION DE ANDROID 2.3");
		  touchScroll(".scroller");
	  }
	}
	
	
	vars.iphone = -1;
	if((navigator.userAgent.match(/iPhone/i)) || (navigator.userAgent.match(/iPod/i))) {
		vars.iphone = true;
	}
	
	
	
	
	
	vars.in_array =  function(needle, haystack, argStrict) {
		// From: http://phpjs.org/functions
		// +   original by: Kevin van Zonneveld (http://kevin.vanzonneveld.net)
		// +   improved by: vlado houba
		// +   input by: Billy
		// +   bugfixed by: Brett Zamir (http://brett-zamir.me)
		// *     example 1: in_array('van', ['Kevin', 'van', 'Zonneveld']);
		// *     returns 1: true
		// *     example 2: in_array('vlado', {0: 'Kevin', vlado: 'van', 1: 'Zonneveld'});
		// *     returns 2: false
		// *     example 3: in_array(1, ['1', '2', '3']);
		// *     returns 3: true
		// *     example 3: in_array(1, ['1', '2', '3'], false);
		// *     returns 3: true
		// *     example 4: in_array(1, ['1', '2', '3'], true);
		// *     returns 4: false
		var key = '',
		strict = !! argStrict;
		
		if (strict) {
			for (key in haystack) {
			  if (haystack[key] === needle) {
				return true;
			  }
			}
		} else {
			for (key in haystack) {
			  if (haystack[key] == needle) {
				return true;
			  }
			}
		}
		
		return false;
	}	
	
	
	vars.abrirIdiomas = function(){
		$("select.cambiaridioma").focus();
		
		/*if (document.createEvent) {
			var e = document.createEvent("MouseEvents");
			e.initMouseEvent("mousedown", true, true, window, 0, 0, 0, 0, 0, false, false, false, false, 0, null);
			elem[0].dispatchEvent(e);
		} else if (element.fireEvent) {
			elem[0].fireEvent("onmousedown");
		}*/
	}


	vars.youtube_parser = function(url){
	    var regExp = /^.*((youtu.be\/)|(v\/)|(\/u\/\w\/)|(embed\/)|(watch\?))\??v?=?([^#\&\?]*).*/;
	    if(typeof(url) != "undefined" ){
		    var match = url.match(regExp);
		    if (match&&match[7].length==11){
		        return match[7];
		    }else{
		        return("");
		    }
	    }
	}




    return vars;
});