define([
  'jquery',
  'underscore',
  'backbone',
  'text!tpl/CambiarIdiomaView.html',
  'vars',
], function($, _, Backbone, YademasTpl, vars){
	
  HomeView = Backbone.View.extend({
	events: {
	  'click a.back-button': 'goBack',
	  'click ul li a' : 'click'
	},
    render: function(){
		// Using Underscore we can compile our template with data
		var self = this;
		
		var data = {titulo:"Cambiar idioma",ciudad:vars.ciudad};
		var compiledTemplate = _.template( YademasTpl, data );

		this.$el.html(compiledTemplate);		

			


        return this;
    },
	initialize: function(options) {
	    _.bindAll(this, 'render'); // every function that uses 'this' as the current object should be in here
		this.url = options.url;
    },
	goBack: function(e) {
		e.preventDefault();
		vars.goback();
    },
	click: function(event){
		vars.putSeccion($(event.currentTarget).find("span.titulo").html());
	},

  });
  // Our module now returns our view
  return HomeView;
});