define([
  'jquery',
  'underscore',
  'backbone',
  'text!tpl/EventosView.html',
  'vars',
], function($, _, Backbone, EventosTpl, vars){
	
  HomeView = Backbone.View.extend({
	events: {
	  'click a.back-button': 'goBack'
	},
    render: function(){
		// Using Underscore we can compile our template with data
		var self = this;
		
		var data = {titulo:"Cine",ciudad:vars.ciudad};
		var compiledTemplate = _.template( EventosTpl, data );

		this.$el.html(compiledTemplate);		



        return this;
    },
	initialize: function(options) {
	    _.bindAll(this, 'render'); // every function that uses 'this' as the current object should be in here
    },
	goBack: function(e) {
		e.preventDefault();
		vars.goback();
    },
  });
  // Our module now returns our view
  return HomeView;
});