  // Filename: views/project/list
define([
  'jquery',
  'underscore',
  'backbone',
  'text!tpl/InfoView.html',
  'vars',
  'text!tpl/informacion/fichas/base.html',
], function($, _, Backbone, InfoViewTemplate, vars, baseView){ 
  PlanesCayetano = Backbone.View.extend({
	ciudad : 0,
	events: {
	  'click a.back-button': 'goBack',
	  'click div.listado a': 'click'
	},
    render: function(){
		var self = this;
		
		this.data =  {ciudad: self.ciudad,titulo: vars.getTituloActual()};
		self.compiledTemplate = _.template( baseView, self.data );
		
		self.$el.html(self.compiledTemplate);
		
			require(
				[ 'text!tpl/informacion/fichas/'+self.view+'.html'],
				function(CayetanoView){
					self.compiledTemplate = _.template( CayetanoView, self.data );
					self.$el.html(self.compiledTemplate);

					self.$("div.ficha-informacion a").on("click",function(event){
						window.open($(event.currentTarget).attr("href"),'_system','location=yes');
						event.preventDefault();
					});

				}
			);		
		
		
        return this;
    },
	initialize: function(options) {
		this.ciudad = options.ciudad;
		this.view = options.view;	
    },
	goBack: function(e) {
		e.preventDefault();
		vars.goback();
    },
	click: function(event) {
		//e.preventDefault();
		vars.putSeccion($(event.currentTarget).find("span.titulo").html());
    }
  });
  // Our module now returns our view
  return PlanesCayetano;
});