/* desde aqui llamaremos a el router principal */
define([
  'fastclick',
  'router', // Request router.js
  'vars', // Request router.js
], function(fastclick, Router, vars){
  var initialize = function(){
	 /* Cargamos librerias esenciales*/
	 /* Cargamos libreria fasttouch */
	 fastclick.attach(document.body);
  
  
	document.addEventListener("backbutton", function(e){

		if (pageslider_mostrandomodal){
			location.replace(stateHistory[stateHistory.length -1]); 
			$("div.oscurecer").fadeOut();
			$("body").removeClass("sinscroll");

			$("#modal").removeClass("abrir");
		}
		else{
			if (window.location.hash == "" || window.location.hash == "#"){
				if(navigator.app){
					navigator.app.exitApp();
				}else if(navigator.device){
					navigator.device.exitApp();
				}
			}
			else if(window.location.hash.indexOf("ofertaspromocionesmasvistas") != -1 || window.location.hash.indexOf("ofertaspromociones") != -1 || window.location.hash.indexOf("ofertaspromocionesporsector") != -1){
				window.location.hash = $("#container div.page-center a.back-button").attr("href");
				//alert($("#container div.page-center a.back-button").attr("href"));
			}
			else{
				//$("#container div.page-center a.back-button").click();
				vars.goBack();
			}
			
			
  		}
	}, false); 
  
  
  
	document.addEventListener('deviceready', function() {
		// write log to console
		ImgCache.options.debug = true;
		
		// increase allocated space on Chrome to 50MB, default was 10MB
		ImgCache.options.chromeQuota = 50*1024*1024;
		
		ImgCache.init(function(){

		}, function(){
			console.log("Error creando cache de imágenes");
		});		
		
		
		
		
		
		
		
        var options = { maximumAge: 0, timeout:10000/*, enableHighAccuracy : true*/ };
		navigator.geolocation.getCurrentPosition(vars.getCurrentPositionSuccess, vars.getCurrentPositionError, options);
		var watchID = null;
        watchID = navigator.geolocation.watchPosition(vars.getCurrentPositionSuccess, vars.getCurrentPositionError, options);
		
		
		
		
		
		document.addEventListener("online", vars.setOnline, false);
		document.addEventListener("offline", vars.setOffline, false);
		
		if((navigator.network.connection.type).toUpperCase() != "NONE" &&
			(navigator.network.connection.type).toUpperCase() != "UNKNOWN") {
			vars.setOnline();
		}
		else{
			vars.setOffline();
		}
		
		
		if (localStorage.getItem("primeravez") !== null){
			setTimeout(function() {
				navigator.splashscreen.hide();
			}, 2000);
			
			localStorage.setItem("primeravez",true);
		}
		else{
			setTimeout(function() {
				navigator.splashscreen.hide();
			}, 500);
		}
		
		
		var pushNotification = window.plugins.pushNotification;
		
		
        if (device.platform == 'android' || device.platform == 'Android') {
            alert("Register called");
			pushNotification.register(successHandler, errorHandler,{"senderID":"82188320195","ecb":"onNotificationGCM"});
        }
        else {
            alert("Register called");
			pushNotification.register(successHandler, errorHandler,{"badge":"true","sound":"true","alert":"true","ecb":"onNotificationAPN"});
        }		
		
		
		
		
		
		
		
		
	},false);
    //document.addEventListener("menubutton", function(){alert("Botón menú");}, false);
	
	
    // LLamamos a router.
    Router.initialize();
  }

  return {
	  	/* devolvemos la funcion para que sea accesible desde otros modulos */
		initialize: initialize
  };
});





	// 	NOTIFICACIONES
	successHandler = function(result){
		console.log('Callback success NOTIFICATIONS '+result)
	}
		
	errorHandler = function(error){
		console.log(error);
	}
		
	onNotificationGCM = function(e) {
		switch( e.event )
		{
			case 'registered':
				if ( e.regid.length > 0 )
				{
					console.log("Regid " + e.regid);					
					
					$.ajax({
						type: "POST",
						url: url_datos + "pushnotifications?h=undefined",
						data: {
							gcm_regid: e.regid
						},
						success:function(result){
							console.log("Registrado en el servidor el id de push !");
						},
						error: function(e){
							console.log(e);
						}
					});


					
				}
			break;
 
			case 'message':
			  // this is the actual push notification. its format depends on the data model from the push server
			  alert('message = '+e.message+' msgcnt = '+e.msgcnt);
			break;
 
			case 'error':
			  console.log('GCM error = '+e.msg);
			break;
 
			default:
				console.log('An unknown GCM event has occurred');
			  break;
		}
	}
		
		
		
	onNotificationAPN = function(event) {
		var pushNotification = window.plugins.pushNotification;
		alert("Running in JS - onNotificationAPN - Received a notification! " + event.alert);
		
		if (event.alert) {
			navigator.notification.alert(event.alert);
		}
		if (event.badge) {
			pushNotification.setApplicationIconBadgeNumber(vars.successHandler, vars.errorHandler, event.badge);
		}
		if (event.sound) {
			var snd = new Media(event.sound);
			snd.play();
		}
	}

