define([
  'jquery',
  'underscore',
  'backbone',
  'text!tpl/MisPlanesView.html',
  'views/listado/ListView',
  'vars'
], function($, _, Backbone, MisPlanesTpl, ListView, vars){
	
  HomeView = Backbone.View.extend({
	events: {
	  'click a.back-button': 'goBack'
	},
    render: function(){
		// Using Underscore we can compile our template with data
		var self = this;
		
		
		var data = {noback : false,ciudad:vars.ciudad};
		var compiledTemplate = _.template( MisPlanesTpl, data );

		this.$el.html(compiledTemplate);
		delete temporalciudad;

		/*if (typeof(vars.planesCache) !== "undefined"){
			self.rellenarDatos(vars.planesCache);
		}
		else{*/
			$.ajax({
				url: url_datos + "/planesusuario" + "?h=" + vars.login["hash"],
				success:function(result){
					//vars.planesCache = result;
					self.rellenarDatos(result);
				}
			});
		/*}*/
		/*listview = new ListView({url:"planesusuario"+ "?h=" + vars.login["hash"], link:"#ficha-promocion/", cache: false});
		self.$el.find("div.listado").html(listview.render().$el);
*/


        return this;
    },
	initialize: function(options) {
	    _.bindAll(this, 'render'); // every function that uses 'this' as the current object should be in here
		this.ciudad = options.ciudad;	

		//this.view = options.view;
    },
	rellenarDatos : function(result){
		var self = this;
		
		var obj = JSON.parse(result);
		vacio = true;
		
		self.$("div.loading").hide();
		self.$("div.listado").fadeIn();
		
		if (typeof(obj.tiendas) != "undefined" && obj.tiendas > 0){
			self.$("div.listado ul li:eq(0)").show();
			self.$("div.listado ul li:eq(0) a").append('<div class="numero"><span>'+obj.tiendas+'</span></div>');
			vacio = false;
		}
		else{
			self.$("div.listado ul li:eq(0)").hide();
		}

		if (typeof(obj.ofertas) != "undefined" && obj.ofertas > 0){
			self.$("div.listado ul li:eq(1)").show();
			self.$("div.listado ul li:eq(1) a").append('<div class="numero"><span>'+obj.ofertas+'</span></div>');
			vacio = false;
		}
		else{
			self.$("div.listado ul li:eq(1)").hide();
		}

		if (typeof(obj.eventos) != "undefined" && obj.eventos > 0){
			self.$("div.listado ul li:eq(2)").show();
			self.$("div.listado ul li:eq(2) a").append('<div class="numero"><span>'+obj.eventos+'</span></div>');
			vacio = false;
		}
		else{
			self.$("div.listado ul li:eq(2)").hide();
		}

		if (typeof(obj.lugares) != "undefined" && obj.lugares > 0){
			self.$("div.listado ul li:eq(3)").show();
			self.$("div.listado ul li:eq(3) a").append('<div class="numero"><span>'+obj.lugares+'</span></div>');
			vacio = false;
		}
		else{
			self.$("div.listado ul li:eq(3)").hide();
		}
		
		
		
		if (vacio){
			self.$("div.listado").append('<p class="no_results">Sin resultados</p>');
		}
		
	},
	goBack: function(e) {
		e.preventDefault();
		vars.goBack();
    }
  });
  // Our module now returns our view
  return HomeView;
});