// Filename: views/project/list
define([
  'jquery',
  'underscore',
  'backbone',
  'text!tpl/AyudaView.html'
], function($, _, Backbone, AyudaViewTemplate){
  AyudaView = Backbone.View.extend({
    render: function(){
		// Using Underscore we can compile our template with data
		var data = {};
		var compiledTemplate = _.template( AyudaViewTemplate, data );

		this.$el.html(compiledTemplate);
        return this;
    },
	initialize: function() {
    }
  });
  // Our module now returns our view
  return new AyudaView;
});