// Filename: views/project/list
define([
  'jquery',
  'underscore',
  'backbone',
  'text!tpl/BaseView.html',
  'vars'
], function($, _, Backbone, BaseViewTemplate,vars){

  BaseView = Backbone.View.extend({
    id: 1,
    data:{
		titulo:''
	},
    render: function(){
	
		var data = {titulo:this.data.titulo};
		var compiledTemplate = _.template( BaseViewTemplate, data );		
		
		this.$el.html(compiledTemplate);
        return this;
    },
	initialize: function(options) {
		_.bindAll(this, 'render', 'renderVista'); // every function that uses 'this' as the current object should be in here
		
		vars.contadorBaseviews++;
		this.id = "baseview" + vars.contadorBaseviews;
		this.data.vista = options.vista;
		this.data.vistaparams = options.vistaparams;
		console.log(this.data.vistaparams);
		this.data.titulo = options.titulo;

		$(this.el).attr('id', "baseview" + vars.contadorBaseviews);
    },
	renderVista: function(){
	
	
		this.data.vistaparams.elemento  = this.el;
	
		var subview = new this.data.vista(this.data.vistaparams);
		subview.render();
		
	}
  });
  // Our module now returns our view
  return BaseView;
});