
require.config({
pushState: false,
root: "",
shim: {
    "backbone": {
      deps: ["jquery", "underscore"],
      exports: "Backbone"
    },
	hammer_jquery: {
	   deps: ['hammer']
	},
	clndr: {
	   deps: ['moment']
	},
	gmaps: { 
		deps: ["jquery", 
			"async!http://maps.google.com/maps/api/js?v=3&sensor=false"] 
	},
	vars : {
		exports : 'vars'
	},
	jquery : {
		exports : '$'
	},
	appview : {
		exports : 'appview'
	},
  },
  paths: {
    jquery: 'libs/jquery',
    underscore: 'libs/underscore',
    backbone: 'libs/backbone',
    text: 'libs/text',
    async: 'libs/async',
    pageslider: 'libs/pageslider',
    fastclick: 'libs/fastclick',
    tinyscrollbar: 'libs/jquery.tinyscrollbar', 
	hammer: "libs/hammer", // Libreria toque tactil
	gmaps: "libs/gmaps", // Libreria gmaps
	hammer_jquery: "libs/jquery.hammer", // Libreria toque tactil
    touchscroll: 'libs/touchscroll', // Android antiguos hacer que funcione el scroll
	backbone_fetch_cache: 'libs/backbone.fetch-cache.min', // Cache fetch backbone
	//cordova : '/data/data/es.doblew.srcayetano/hydra_app/cordova', // Cordova
	socialsharing : 'libs/SocialSharing	', // Plugin phonegap share
	facegap : 'libs/faceGap', // Plugin phonegap share
	clndr:'libs/clndr', // Libreria calendario
	moment:'libs/moment', // Libreria uso fechas
	twix:'libs/twix', // Plugin para moment, Permite el uso de rangos
	slimscroll: 'libs/jquery.slimscroll',
	polyglot: 'libs/polyglot',
	tpl:'../tpl'
  }

});

require([
	'App',
	'jquery'
], function(App,jquery){
  App.initialize();
});