define([
  'jquery',
  'underscore',
  'backbone',
  'text!tpl/MiCuentaView.html',
  'vars'
], function($, _, Backbone, MiCuentaTpl, vars){
	
  CuentaView = Backbone.View.extend({
	events: {
	  'click a.salir-cuenta': 'salirCuenta'
	},
    render: function(){
		// Using Underscore we can compile our template with data
		var self = this;
		
		
		var data = {};
		var compiledTemplate = _.template( MiCuentaTpl, data );

		this.$el.html(compiledTemplate);	
		
        return this;
    },
	initialize: function(options) {
	    _.bindAll(this, 'render'); // every function that uses 'this' as the current object should be in here
		//this.view = options.view;
    },
	salirCuenta: function(e) {
		e.preventDefault();
		localStorage.removeItem("email");
		localStorage.removeItem("ciudad");
		localStorage.removeItem("hash");
		
		window.location.hash = "#";
		location.reload();
    }
  });
  // Our module now returns our view
  return CuentaView;
});