define([
  'jquery',
  'underscore',
  'backbone',
  'swiper',
  'text!tpl/MiEspacioView.html',
  'vars'
], function($, _, Backbone, swiper, MiEspacioTpl, vars){
	
  HomeView = Backbone.View.extend({
	events: {
	  'click a.back-button': 'goBack'
	},
    render: function(){
		// Using Underscore we can compile our template with data
		var self = this;
		
		
		var data = {};
		var compiledTemplate = _.template( MiEspacioTpl, data );

		this.$el.html(compiledTemplate);		

        return this;
    },
	initialize: function(options) {
	    _.bindAll(this, 'render'); // every function that uses 'this' as the current object should be in here
		//this.view = options.view;
    },
	goBack: function(e) {
		e.preventDefault();
		window.history.back();
    }
  });
  // Our module now returns our view
  return HomeView;
});