// Filename: views/project/list
define([
  'jquery',
  'underscore',
  'backbone',
  'text!tpl/tapas/PortadaView.html',
  'vars'
], function($, _, Backbone, PortadaView, vars){ 
  PlanesCayetano = Backbone.View.extend({
	ciudad : 0,
	events: {
	  'click a.back-button': 'goBack',
	  'click div.listado a': 'click'
	},
    render: function(){
		var self = this;

		titulo = "Ruta de la tapa";
		if (localStorage.getItem('homeCache' + self.ciudad + 'rutatapanombre') != null){
			titulo = localStorage.getItem('homeCache' + self.ciudad + 'rutatapanombre');
		}

		this.data =  {titulo: titulo ,ciudad: self.ciudad, logueado: vars.login["logueado"]};


		if (localStorage.getItem('homeCache' + self.ciudad + 'rutatapasplash') != null){
			this.data.splash = localStorage.getItem('homeCache' + self.ciudad + 'rutatapasplash');
		}

		self.compiledTemplate = _.template( PortadaView, this.data );
		self.$el.html(self.compiledTemplate);


		if (vars.iphone > 0){
			self.$(".portada-tapas a.boton").css("margin-bottom","120px");
		}


		
        return this;
    },
	initialize: function(options) {
		this.ciudad = options.ciudad;
    },
	goBack: function(e) {
		e.preventDefault();
		vars.goback();
    },
	click: function(event) {
		//e.preventDefault();
		vars.putSeccion($(event.currentTarget).find("span.titulo").html());
    }
  });
  // Our module now returns our view
  return PlanesCayetano;
});