define([
  'jquery',
  'underscore',
  'backbone',
  'text!tpl/YademasView.html',
  'vars',
], function($, _, Backbone, YademasTpl, vars){
	
  HomeView = Backbone.View.extend({
	events: {
	  'click a.back-button': 'goBack',
	  'click ul li a' : 'click'
	},
    render: function(){
		// Using Underscore we can compile our template with data
		var self = this;
		
		var data = {titulo:"Y además...",ciudad:vars.ciudad};
		var compiledTemplate = _.template( YademasTpl, data );

		this.$el.html(compiledTemplate);		

		/*self.$el.find("a.farmaciaguardia").on("click",function(e){
					
					navigator.notification.confirm(
						"Esta acción abrirá una página en tu navegador.",  // message
						function(boton){
							if(boton == 1){
								var nombreciudad = localStorage.getItem("ciudadnombre");
								var fechahoy = new Date();
								var mes = fechahoy.getMonth()+1;
								mes = mes < 10 ? '0' + mes : mes;

								if (nombreciudad == "Xabia")
									nombreciudad = "J%25E1vea%252FX%25E0bia";

								window.open("http://www.cofalicante.com/resultados-buscador?pob="+nombreciudad+"&date="+fechahoy.getUTCDate()+"%2F"+mes+"%2F"+fechahoy.getFullYear()+"&cp=",'_system','location=yes');

							}
						},              // callback to invoke with index of button pressed
						'Farmacia de guardia',            // title
						"Continuar,Cancelar"       // buttonLabels
					);

			e.preventDefault();
		});*/


        return this;
    },
	initialize: function(options) {
	    _.bindAll(this, 'render'); // every function that uses 'this' as the current object should be in here
		this.url = options.url;
    },
	goBack: function(e) {
		e.preventDefault();
		vars.goback();
    },
	click: function(event){
		vars.putSeccion($(event.currentTarget).find("span.titulo").html());
	},

  });
  // Our module now returns our view
  return HomeView;
});