define(["jquery",'moment','twix','slimscroll'], function($,moment,twix) {
    var vars = {};
	vars.tituloClick = "";
	vars.tituloClickAnterior = "";
	vars.posicion = Array();
	vars.posicion.latitud = 0;
	vars.posicion.longitud = 0;
	vars.posicion.timestamp = 0;
	vars.login = Array();
	vars.login["logueado"] = false;
	vars.login["email"] = "";
	vars.cacheActivo = true;
	vars.noticiasCache = Array();
	vars.online = false;
	vars.ciudad = null;
	vars.errorLocalizacion = true;
	vars.seccion = Array();
	vars.mediaObject = null;
	

	vars.flagfacebook = false; // Indica si ha cargado ya facebook o no

	vars.getCurrentPositionSuccess = function (position){
		vars.posicion.latitud = position.coords.latitude;
		vars.posicion.longitud = position.coords.longitude;
		vars.posicion.timestamp = position.timestamp;
		console.log(vars.posicion.latitud + "," + vars.posicion.longitud);
		vars.errorLocalizacion = false;
	}
	
	vars.getCurrentPositionError = function (error){
		vars.errorLocalizacion = true;
	}

	vars.setOnline = function (error){
		vars.online = true;
		$("#noconnection").hide();
	}

	vars.setOffline = function (error){
		vars.online = false;
		$("#noconnection").show();
		
	}

	vars.Distancia = function (lat2, lon2)
	{
		if (vars.posicion.latitud != 0 && vars.posicion.longitud != 0){
			rad = function(x) {return x*Math.PI/180;}
			
			var R     = 6378.137;                          //Radio de la tierra en km
			var dLat  = rad( lat2 - vars.posicion.latitud );
			var dLong = rad( lon2 - vars.posicion.longitud );
			
			var a = Math.sin(dLat/2) * Math.sin(dLat/2) + Math.cos(rad(vars.posicion.latitud)) * Math.cos(rad(lat2)) * Math.sin(dLong/2) * Math.sin(dLong/2);
			var c = 2 * Math.atan2(Math.sqrt(a), Math.sqrt(1-a));
			var d = R * c;
			
			
			salida = d.toFixed(2).toString().replace(".", ",");

			return salida; 
		}
		return undefined;
	}
	
	

	vars.putSeccion = function (titulo)
	{
		if (vars.getTituloActual() != titulo){
			vars.seccion.push(titulo);
			console.log("entrando a seccion " + titulo);
		}



		
	}
	vars.goBack = function (sinappslider)
	{
		vars.seccion.pop();
		vars.tituloClick = vars.seccion[vars.seccion.length-1];
		console.log("saliendo a seccion " + vars.tituloClick);
		
		if (typeof(sinappslider) == "undefined"){
			AppSlider.back();
		}
		if (vars.mediaObject != null){
			vars.mediaObject.stop();
			vars.mediaObject.release();
			vars.mediaObject = null;
		}
	}
	
	vars.getTituloActual = function ()
	{
		return vars.seccion[vars.seccion.length-1];
	}
	



	vars.parse_date = function(string) {  
		var date = new Date();  
		var parts = String(string).split(/[- :]/);  
		  
		date.setFullYear(parts[0]);  
		date.setMonth(parts[1]);  
		date.setDate(parts[2]);  
		date.setHours(parts[3]);  
		date.setMinutes(parts[4]);  
		date.setSeconds(parts[5]);  
		date.setMilliseconds(0);  
		  
		return date;  
	}  
	
	
	vars.initLogin = function(){
		if (vars.login["logueado"] == true){
			$("footer a:eq(0)").show();
			$("footer a:eq(1)").show().find("span.titulo").html("Mi cuenta");
		}
		else{
			$("footer a:eq(0)").show();
			$("footer a:eq(1)").show().find("span.titulo").html("Identificarse");
			
			vars.loguearseConLocalStorage();
			
		}
		
		if (localStorage.getItem("ciudad") !== null && (window.location.hash == ""  ||  window.location.hash == "#")){
			window.location.hash = "#ciudad/"+localStorage.getItem("ciudad");
			vars.putSeccion(localStorage.getItem("ciudadnombre"));
		}

	}
	
	vars.loguearseConLocalStorage = function(){
		if (localStorage.getItem("hash") !== null)
			$.ajax({
				type: "POST",
				url: url_datos + "loginhash",
				data: {
					hash: localStorage.getItem("hash")
				},
				success:function(result){
					console.log(result);
					var obj = JSON.parse(result);

					if (typeof(obj.hash) !== "undefined"){
						vars.login["logueado"] = true;
						vars.login["email"] = self.$("form input.email").val();
						vars.login["hash"] = localStorage.getItem("hash");
						vars.initLogin();

					}
				}
			});		
	}
	
	
	vars.linkanterior = "#";
	vars.linkactual = "#";

	$(window).bind( 'hashchange', function(e) {
		if (!pageslider_mostrandomodal){
			vars.linkanterior = vars.linkactual;
			vars.linkactual = window.location.hash;
			/*console.log(vars.linkactual);
			console.log(vars.linkanterior);*/
		}
	});






	vars.DateDiff = {
		inDays: function(d1, d2) {
			var t2 = d2.getTime();
			var t1 = d1.getTime();
	 
			return parseInt((t2-t1)/(24*3600*1000));
		},
	 
		inWeeks: function(d1, d2) {
			var t2 = d2.getTime();
			var t1 = d1.getTime();
	 
			return parseInt((t2-t1)/(24*3600*1000*7));
		},
	 
		inMonths: function(d1, d2) {
			var d1Y = d1.getFullYear();
			var d2Y = d2.getFullYear();
			var d1M = d1.getMonth();
			var d2M = d2.getMonth();
	 
			return (d2M+12*d2Y)-(d1M+12*d1Y);
		},
	 
		inYears: function(d1, d2) {
			return d2.getFullYear()-d1.getFullYear();
		}
	}


	vars.validateEmail = function(email) { 
		var str=email;
		var filter=/^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i
		if (filter.test(str))
		testresults=true
		else{
		testresults=false
		}
		return (testresults)
	} 

	vars.salirCuenta = function() { 
		localStorage.removeItem("email");
		localStorage.removeItem("ciudad");
		localStorage.removeItem("hash");
		
		window.location.hash = "#";
		location.reload();
	} 
	
	

	vars.formatoFechas = function(fecha_ini, fecha_fin) { 
		salida = "";
		moment.lang("es");
		
		if (typeof(fecha_fin) == "undefined"){
			var aux = new Date(fecha_ini);
			salida = moment(aux).format("LLL");

		}
		else{
			salida = moment(fecha_ini).twix(fecha_fin).format()
			
		}
		if (salida == "Invalid date"){
			salida = "";
		}

		return salida;
	} 
	
	
	
	
	vars.ua = navigator.userAgent;
	vars.androidversion = -1;
	if( vars.ua.indexOf("Android") >= 0 )
	{
	  vars.androidversion = parseFloat(vars.ua.slice(vars.ua.indexOf("Android")+8)); 
	  if (vars.androidversion < 3)
	  {
		  //alert("VERSION DE ANDROID 2.3");
		  touchScroll(".scroller");
	  }
	}
	





    return vars;
});