// Filename: views/project/list
define([
  'jquery',
  'underscore',
  'backbone',
  'text!tpl/BuscarView.html',
  'vars'
], function($, _, Backbone, BuscarViewTemplate, vars){ 
  PlanesCayetano = Backbone.View.extend({
	ciudad : 0,
	events: {
	  'click a.back-button': 'goBack',
	  'click div.listado a': 'click'
	},
    render: function(){
		var self = this;
		
		var data = {ciudad: vars.ciudad,titulo: vars.getTituloActual()};
		var compiledTemplate = _.template( BuscarViewTemplate, data );

		this.$el.html(compiledTemplate);

		this.$('#buscarinput').on("keydown",function(){
			self.$('div.loading').fadeIn();
			self.$('div.mensaje').hide();
			self.$('div.listado').hide();
			
			$.ajax({
				type: "POST",
				url: url_datos + "buscar",
				data: {
					buscar: $(this).val(),
					ciudad: vars.ciudad,
				},
				success:function(result){
					console.log(result);
				}
			});
	
							
			
			
			setTimeout(function(){self.$('div.loading').hide();self.$('div.listado').fadeIn();},3000);
			
		});



		
		
	/*	if (typeof(vars.planesCache) !== "undefined"){
			self.rellenarDatos(vars.planesCache);
		}
		else{*/
			/*$.ajax({
				url: url_datos + "/ciudad/"+ this.ciudad + "/buscar",
				success:function(result){
					console.log(result);
					
				}
			});*/
		/*}
		*/
		
        return this;
    },
	initialize: function(options) {
		
    },
	goBack: function(e) {
		e.preventDefault();
		vars.goBack();
    },
	click: function(event) {
		//e.preventDefault();
		vars.putSeccion($(event.currentTarget).find("span.titulo").html());
    }
  });
  // Our module now returns our view
  return PlanesCayetano;
});