// Filename: views/project/list
define([
  'jquery',
  'underscore',
  'backbone',
  'views/ListView',
  'text!tpl/SubBaseView.html'
], function($, _, Backbone, ListView, SubBaseView){


  ListadoView = Backbone.View.extend({
    url : "empresas",
    link : "",
	events: {
	  'click a.back-button': 'goBack'
	},
    render: function(parameters){
		var data = {};
		var compiledTemplate = _.template( SubBaseView, data );
		
		$(this.elemento).find("div.contenido").html(compiledTemplate);
    },
	initialize: function(options) {
	    _.bindAll(this, 'render'); // every function that uses 'this' as the current object should be in here
		this.url = 'empresas';
		this.elemento = options.elemento;
    },
	goBack: function(e) {
		e.preventDefault();
		window.history.back()
    }
  });
  // Our module now returns our view
  return ListadoView;
});